Although I have found code that should allow me to convert 2dpolylines to regular polylines, I am having troubles implementing it. At first I got the eInvalid Input but have since fixed that. However, the error now is that there is no error. Autocad just seems to lock up but I can still switch to visual studio and look at my code. It as though Autocad thinks it is doing something but my code is not doing anything. I can scroll around.
My code is this:
Try Dim acDrawing As Document = Application.DocumentManager.MdiActiveDocument
Using acDrawingLock As DocumentLock = acDrawing.LockDocument
Using acTransaction As Transaction = acDrawing.Database.TransactionManager.StartTransaction
Dim acBlockTable As BlockTable =
I use AutoCAD 2010 and have never messed with MEP. Any way to convert those devices back to regular acad blocks.
We have a couple of seats of MEP and Revit just to test things out and see if we'd want to switch programs at some point, but otherwise we do everything on "regular" AutoCAD. Well, one guy went ahead and made changes to our sheets using MEP, and now it's causing compatibility issues. Ideally we'd like to fix that without having to redraw entire sheets or have to redefine our drawing standards mid-project.
I am using AutoCAD 2000i I would like to click a button, hide the form, pick the text, I'm only picking one text item, then insert the picked text into a block. Then put the text into the attribute in the block..Insertion point of the block next to the text item.
Private Sub CommandButton2_Click() frmGetData.Hide 'Set sset = ThisDrawing.SelectionSets.Add("SS3") Set sset = ThisDrawing.PickfirstSelectionSet sset.SelectOnScreen 'For Each ssobject In sset 'msg = msg & vbCrLf & ssobject.ObjectName [code]....
Successfully drawn a eggshape for tabletop using 3 ellipse and arcs and converted these into polylines but having trouble converting them all into 1 polyline for lofting.
The surveyor's CAD file includes a boundary line that is mostly curves. It's drawn as a spline. I'm trying to create a PROPERTY LINE in Revit. I've converted the spline to a polyline in CAD. In Revit, PROPERTY LINE sketch mode, I can hghlight the polyline but can't select what I've highlights. Only one of the polylines gets selected. So I have to try to select them all one at a time. converting a spline to polyline in CAD for use in REVIT?
Is there a way, when you are drawing a polyline, to have the tooltip box show the cumulative length of the polyline, rather than the length of the current segment being drawn?
Due to modeling purposes, I need to convert a 3D polyline to a spline. What I have been doing is:
- change polyline fit/smooth to cubic from properties - convert polyline to spline by typing spline -> object - method -> fit from properties
You can see the original 3D polyline (green) and the resulting spline (magenta) in the attached drawing.When I zoom in and measure the distance between the two entities at different points along them, at some points the perpendicular distance exceeds 5 millimeters, and I want to ensure the deviation remains under 1 millimeter or even less.
I know I can change the knot parameterization of the spline, and this does work at some locations, but the difference increases at others.Why is there a 5.6 mm difference between the spline fit point and 3D polyline vertex, as measure in the attached drawing?
Now, I can go and manually stretch the fit point to coincide with the vertex. Also, I can add fit points between existing ones to drag the spline closer to the original 3D poly.
However, some of my polys are really long, and it is very time-consuming to do this manually while measuring points along the entities to make sure the distance stays small enough.
how to automate this process? For example a lisp that would maybe take the original vertex points, add say maybe 3 (not too many) new ones between them, and then generate a spline while making sure the deviation is less than the set value of 1mm? I am using AutoCAD 2013.
I've been working on a custom polyline object, and I've got it functioning!!Having said that, I plan to run its creation around picking a point for bounary selection.
(Other than trying to step through every vertecies) is there a technique I can thow the polyline data from a traceboundary result into my custom object? I've been trying to add the polyline from traceboundary to my object BEFORE it's added to the transaction by the way...I assume that's right, since I want to put it's data in my custom object then add my custom object to the transaction instead.
Is there any way at all to draw a new polyline - from the endpoint of another polyline, and have it automatically join as one polyline from the existing section??
I know this can be done via PEDIT, but its so laborious and soo many clicks, and I have alot of segmented Polylines that I need to consolidate when I draft.
I have not done much isometric work for quite a few years now but i have a new company i am doing some freelance stuff for and the last in house person did all his drawings as isometrics. My problem is not working in isometric but when I switch to paper space..how do I convert those isometric drawings to regular 2d?...this might be basic stuff for some but like I said I haven't done this in quite some time.
They are using AutoCadLT 2005 & Building systems MEP...I usually use AutoCad 2000 at home.
In Inventor 2012 I could grab any part (except patterns of course) and move it anywhere into folders, out of folder, up down, wherever, till my hearts content. But in 2013 sometimes it lets me, sometimes it does not. Sometimes I select a group of parts and when I try to put them into a new folder it will place most of them in it tell me the others are not allowed to be moved? I must stress that these are NOT patterned parts, but stuff I have moved around for at least the last 2 versions of the software. Why in 2013 can I not do this as easily or at all in some cases? Is there a new check box checked by default I can't find? I have tried switching the browser between modeling and assembly view and sometimes it works and sometimes it does not.
It does this with both content center and non content center parts.
We recently installed Civil 3D on our computers. Some people started working in regular AutoCAD first rather than changing the workspace in Civil 3D. They have customized their ribbons. Is there a way we can copy those customizations and apply them to the 2D Drafting & Annotation workspace in Civil 3D?
Is there an anchor tool that will do this? The aec object is actually a Autocad MEP pipeobject but should fall under the AEC umbrella. I am inserting some blocks at specific pipe locations through dotnet and would like to anchor the blocks to the pipes in case the pipes have to move.
I can do this in AutoCAD Map but I have my doubts. I will explain in ESRI GIS terms (this is what I am familiar with) and I hope you can tell me if I can do this in AutoCAD Map. In ESRI ArcMap I can select a line and I can hit a Select by Location button. In this window I can select all of the objects that intersect my selected line. Then I can delete them or export them etc.
In AutoCAD Map I have a polyline selected. It is my road centerline. I want to be able to select all of the other polylines that intersect my selected polyline. Is there a way to do this? I need to erase those polylines. Usually I will pan to each of them and select them individually. It just seems to take a lot of time. My AutoCAD co-worker said I could use a fence and draw the fence through my polylines. It seemed to work ok but I accidently deleted extra things that I needed. So I'm back to manually selecting each one by one unless you know a different way.
I was wondering if there is a way to convert many regular fractions to stacked fractions without editing each one. I have a file full of fractions that all need to be stacked. It seems it would be quicker if I could select all the fractions and stack them at once rather then edit each one individually.
I was trying to create a design template in the Multibody Part environment (MBP) for design cases we use almost every day.We´re relying heavily on semi-finished products (plant construction), so 80% to 90% of our parts are plates, beams, pipes and similar. In most cases we create a welding assembly which has only the semifinished parts which are welded together.
What I expected from the MBP was to be able to preconfigure properties like materials and width, length and height before I create parts which then are placed into the assembly.
Now this doesn't work. So I have created some iLogic code that finds the base dimensions of plates (thickness, length, width) and adds this information to the custom properties so it shows up in the BOM.
This works with a template which I have added to this thread. Now what you do is choose this template for the solid bodies which are plates when you derive your parts after you have finished setting up your MBP.
In the template I have embedded an excel sheet, that searches for a numeric thickness value (discrete) in the "thickness" column.After finding the according entry in the excel sheet it will read out the item number from that column and writes it back into the custom properties.
We're using a PDM system the files get uploaded to and if the PDM system finds a known item number it will automatically connect the documents to the correct item master.
Right now this works only with one material for every template. Additionally I want to be able to get a prompt before the part get's saved, that asks me to define a material based on the data of my style library. How to do that with iLogic code pieces?I will work on this further and will update the thread with new functionality.